diff --git a/web/pgadmin/static/scss/_bootstrap.overrides.scss b/web/pgadmin/static/scss/_bootstrap.overrides.scss
index 863fb65..8136e2e 100644
--- a/web/pgadmin/static/scss/_bootstrap.overrides.scss
+++ b/web/pgadmin/static/scss/_bootstrap.overrides.scss
@@ -163,6 +163,9 @@ legend {
 
 .table {
 	margin-bottom: 0rem;
+	th {
+		padding: $table-header-cell-padding $table-cell-padding;
+	}
 }
 
 .table-bordered {
diff --git a/web/pgadmin/static/scss/resources/_default.variables.scss b/web/pgadmin/static/scss/resources/_default.variables.scss
index b25610b..3a77c56 100644
--- a/web/pgadmin/static/scss/resources/_default.variables.scss
+++ b/web/pgadmin/static/scss/resources/_default.variables.scss
@@ -113,6 +113,7 @@ $nav-tabs-link-active-bg: none;
 $nav-tabs-link-active-border-color: none;
 
 $table-cell-padding: 0.25rem;
+$table-header-cell-padding: 0.75rem;
 $table-hover-bg: none; //we will use our own classes
 $table-active-bg: $color-primary-light;
 $table-border-width: $border-width !default;
